system
General endpoints for interacting with the server, such as configuration and logging.
Retrieve a list of supported timezones
__Minimum server version__: 3.10
Check system health
Check if the server is up and healthy based on the configuration setting `GoRoutineHealthThreshold`. If `GoRoutineHealthThreshold` and the number of goroutines on the server exceeds that threshold the server is considered unhealthy. If `GoRoutineHealthThreshold` is not set or the number of goroutines is below the threshold the server is considered healthy.
Open a WebSocket connection
Upgrades the HTTP connection to a WebSocket connection used for real-time events and websocket actions.
Run manual testing helpers
Invokes manual test helpers used by developers and automated manual test scenarios.
Get notices for logged in user in specified team
Will return appropriate product notices for current user in the team specified by team_id parameter.
Update notices as 'viewed'
Will mark the specified notices as 'viewed' by the logged in user.
Get first admin onboarding completion status
Get whether first admin onboarding is complete.
Complete first admin onboarding
Mark first admin onboarding as complete and optionally trigger plugin installation.
Configure AI bridge E2E test helper
Configure the in-memory AI bridge test helper used by end-to-end tests to mock agent availability, agent/service listings, queued completion responses, and test-only AI feature flag overrides.
Get AI bridge E2E test helper state
Retrieve the current in-memory AI bridge test helper state used for end-to-end tests.
Reset AI bridge E2E test helper
Reset the in-memory AI bridge test helper state used for end-to-end tests.
Recycle database connections
Recycle database connections by closing and reconnecting all connections to master and read replica databases.
Send a test email
Send a test email to make sure you have your email settings configured correctly. Optionally provide a configuration in the request body to test. If no valid configuration is present in the request body the current server configuration will be tested.
Send a test notification
Send a test notification to make sure you have your notification settings configured correctly.
Checks the validity of a Site URL
Sends a Ping request to the mattermost server using the specified Site URL.
Test the configured file storage backend
Send a test to validate that the server can connect to the configured file storage backend (local, Amazon S3, or Azure Blob Storage). Optionally provide a configuration in the request body to test. If no valid configuration is present in the request body the current server configuration will be tested.
Test AWS S3 connection
Deprecated alias for `/api/v4/file/test` kept for backwards compatibility. New callers should use `/api/v4/file/test`, which is backend-agnostic.
Get configuration
Retrieve the current server configuration
Update configuration
Submit a new configuration for the server to use. As of server version 4.8, the `PluginSettings.EnableUploads` and `PluginSettings.SignaturePublicKeyFiles` settings cannot be modified by this endpoint.
Reload configuration
Reload the configuration file to pick up on any changes made to it.
Migrate config storage
Migrate configuration between storage backends.
Get client configuration
Get a subset of the server configuration needed by the client.
Get configuration made through environment variables
Retrieve a json object mirroring the server configuration where fields are set to true
Patch configuration
Submit configuration to patch. As of server version 4.8, the `PluginSettings.EnableUploads` and `PluginSettings.SignaturePublicKeyFiles` settings cannot be modified by this endpoint.
Upload license file
Upload a license to enable enterprise features.
Remove license file
Remove the license file from the server. This will disable all enterprise features.
Preview license file
Validate and parse a license file without saving it. This allows administrators
Get client license
Get a subset of the server license needed by the client.
Get license load metric
Get the current license load metric, calculated based on monthly active users against the licensed user count. Returns a value of 0 when there is no license loaded or the license doesn't have a user count.
Request and install a trial license for your server
Request and install a trial license for your server
Get last trial license used
Get the last trial license used on the server
Get audits
Get a page of audits for all users on the system, selected with `page` and `per_page` query parameters.
Invalidate all the caches
Purge all the in-memory caches for the Mattermost server. This can have a temporary negative effect on performance while the caches are re-populated.
Get logs
Get a page of server logs, selected with `page` and `logs_per_page` query parameters.
Add log message
Add log messages to the server logs.
Query server logs with filters
Query server logs using filter criteria.
Get analytics
Get some analytics data about the system. This endpoint uses the old format, the `/analytics` route is reserved for the new format when it gets implemented.
Get latest public server release information
Retrieves metadata about the latest Mattermost server release from GitHub.
Get applied database schema migrations
Returns the list of applied database schema migrations.
Set the server busy (high load) flag
Marks the server as currently having high load which disables non-critical services such as search, statuses and typing notifications.
Get server busy expiry time.
Gets the timestamp corresponding to when the server busy flag will be automatically cleared.
Clears the server busy (high load) flag
Marks the server as not having high load which re-enables non-critical services such as search, statuses and typing notifications.
Get redirect location
__Minimum server version__: 3.10
Get an image by url
Fetches an image via Mattermost image proxy.
Executes an inplace upgrade from Team Edition to Enterprise Edition
It downloads the Mattermost Enterprise Edition of your current version and replace your current version with it. After the upgrade you need to restart the Mattermost server.
Get the current status for the inplace upgrade from Team Edition to Enterprise Edition
It returns the percentage of completion of the current upgrade or the error if there is any.
Check if the user is allowed to upgrade to Enterprise Edition
Check if the user is allowed to upgrade to Enterprise Edition
Restart the system after an upgrade from Team Edition to Enterprise Edition
It restarts the current running mattermost instance to execute the new Enterprise binary.
Perform a database integrity check
Performs a database integrity check.
Download a zip file which contains helpful and useful information for troubleshooting your mattermost instance.
Download a zip file which contains helpful and useful information for troubleshooting your mattermost instance.
Stores that the Plugin Marketplace has been visited by at least an admin.
Stores the system-level status that specifies that at least an admin has visited the in-product Plugin Marketplace.